Look up boundary references

This endpoint performs a search of boundary references, filtering them by provided input parameters.

Response will contain a FeatureCollection. GeoJSON geometries will be returned only for:

  • boundary references with a "shared" view policy

  • boundary references owned by the tenant making the request

Otherwise "geometry" key will be null.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

ID of the GeoJSON Feature provided by user in POST /boundaries or POST /fields payload

string

Source name assigned to the data

uuid
length between 36 and 36

UUID of the boundary linked to the references

string

Delineation type provided in the POST /boundaries or POST /fields payload. Possible values:

UNKNOWN, FARMER/AGRONOMIST-SUPPLIED, SATELLITE-GENERATED, GOVERNMENTAL-STANDARD-BOUNDARY

property
object

Custom property search parameter(s). Search will be performed in the string properties provided in POST /boundaries or POST /fields payload.

Key must be the name of the property to search for, prefixed by "property_". Example: to search for text_value=ABC, the following query parameter should be used:

property_text_value=ABC
. Custom properties of types other than string can be searched using json_filter parameter. Note: json_filter cannot be used along with custom property search parameters

string

Custom property filter. Value must be a valid JSON object. Search will be performed in all the properties provided in POST /boundaries or POST /fields payload.

JSON keys must be property names to search for. Example:

{"text_value": "ABC", "float_value": 123.456}
. Note: json_filter cannot be used along with custom property search parameters

integer
≥ 0
Defaults to 0

Number of records to skip.

integer
1 to 100
Defaults to 10

Maximum number of records to return.

Headers
string

Language and locale to return the response in

string
enum
Defaults to application/geo+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/geo+json
application/json